# Configuration du mode cartographie

La configuration du monde cartographique peut se faire de manière totalement graphique depuis l'interface mais pour des fonctions plus poussés elle se fait également en modifiant certains fichiers sur le serveur.

## Depuis l'interface de configuration

![Interface de configuration de vMap](../images/configuration_vmap_1.png)

### Général

#### Répertoire FOP

Chemin vers le répertoire où est installé FOP (nécessaire pour le module cadastre)

Défaut: */var/www/vmap/vas/server/fop*

#### Chemin vers PhantomJS (executable)

Chemin vers le répertoire où est installé PhantomJS (nécessaire pour les impressions)

Défaut: */var/www/vmap/vas/server/phantomjs/bin/phantomjs*

#### Alias pintserver

Alias Apache utilisé pour les impressions

Défaut: *printserver*

#### API Veremap

(Optionnelle) URL vers l'API de Veremap pour utiliser les flux privés de ce dernier


### Affichage

#### Largeur des tuiles WMS (en px)

Largeur en pixels des tuiles pour les flux WMS

Défault: *512*

#### Hauteur des tuiles WMS (en px)

Hauteur en pixels des tuiles pour les flux WMS

Défault: *512*

#### Style CSS des popup

Style CSS à appliquer aux info-bulles, ceci permet entre autres de gérer la taille de ces dernières

Défault: *max-height: 350px;max-width: 500px;min-width: 240px;*

#### Groupes de calques repliées par défaut dans "Jeux de données"

Définit si par défaut, dans la partie "Jeux de données" du bandeau de gauche, les groupes de calques sont repliés
#### Fenêtre "Jeux de données" repliée par défaut

Définit si par défaut, la partie "Jeux de données" du bandeau de gauche est repliée
#### Fenêtre "Table des matières" repliée par défaut

Définit si par défaut, la partie "Table des matières" du bandeau de gauche est repliée
#### Fenêtre "Légende" repliée par défaut
Définit si par défaut, la partie "Légende" du bandeau de gauche est repliée


### Outils

Active ou désactive les outils suivants

#### Slider de zoom
![Interface de configuration de vMap outils 2](../images/configuration_vmap_slider_zoom.png)

#### Zoom
![Interface de configuration de vMap outils 3](../images/configuration_vmap_zoom.png)

#### Carte de supervision
![Interface de configuration de vMap outils 4](../images/configuration_vmap_carte_supervision.png)

#### Échelle graphique
![Interface de configuration de vMap outils 5](../images/configuration_vmap_echelle_graphique.png)

#### Échelle numérique
![Interface de configuration de vMap outils 6](../images/configuration_vmap_echelle_numerique.png)

#### Nom de la carte
![Interface de configuration de vMap outils 7](../images/configuration_vmap_nom_carte.png)

#### Projection en cours
![Interface de configuration de vMap outils 8](../images/configuration_vmap_proj_en_cours.png)

#### Rafraichissement auto
Rafaichit automatiquement grâce à la technologie websocket les couches quand deux utilisateurs modifient la même donnée.

### Sélection

#### Nombre maximal de popups

Nombre maximal d'info-bulles affichables simultanément (valeur conseillée: 1)

#### Nombre maximal de sélections dans la liste

Nombre maximal d'enregistrements affichables simultanément dans le requêteur (valeur conseillée: 50)
